Bug 114253 - used before set ?
Summary: used before set ?
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-games   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-25 13:48 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 06:24:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-01-25 13:48:17 UTC
Description of problem:

I just tried to compile package gnome-games-2.4.0-3, from Redhat
Fedora Core 1.

The compiler said

1.

gnotravex.c(1321): remark #592: variable "size" is used before its
value is set

The source code is

  gint x, y, size = size;
  for (y = 0; y < size; y++)

Clearly broken code to set a variable to it's own un-initialised value.

Suggest code re-work.

2.

gnotravex.c(1374): remark #592: variable "size" is used before its
value is set

The source code is

  gint x1, y1, x2 = 0, y2 = 0, x, y, size = size;

Duplicate.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Richard Hoelscher 2004-04-16 21:39:09 UTC
Outside of Fedora, this problem was fixed with the release of
gnome-games 2.4.1
http://bugs.gnome.org/show_bug.cgi?id=122307


Note You need to log in before you can comment on or make changes to this bug.